jscoverage-server(1)

NAME
jscoverage-server - Run a server for instrumenting JavaScript with code coverage information

SYNOPSIS
jscoverage-server [OPTION]...

DESCRIPTION

jscoverage-server is a simple web server that instruments JavaScript code as it is served.

OPTIONS

--document-root=DIR
    serve content from DIR (default: current directory).

--encoding=ENCODING
    assume .js files use the given character encoding.

--ip-address=ADDRESS
    bind to ADDRESS (default: 127.0.0.1).

--js-version=VERSION
    use the specified JavaScript version; valid values for VERSION are 1.0, 1.1, 1.2, ..., 1.8, or ECMAv3 (the default).

--no-highlight
    do not perform syntax highlighting.

--no-instrument=URL
    do not instrument URL.

--port=PORT
    use PORT for TCP port (default: 8080).

--proxy
    run as a proxy.

--report-dir=DIR
    store report to DIR (default: jscoverage-report).

--shutdown
    stop a running server.

-v, --verbose
    explain what is being done.

-h, --help
    display this help and exit.

-V, --version
    display version information and exit.

AUTHORS

siliconforks.com